#!/usr/bin/perl

# usage: cat <scen-list> | generate-all-random-scen.pl <out-dir>

$out_dir = shift;


while (<>) {
    if (/^#/) {
	next;
    }

    if (/rand-(\d+)-(\d+)x(\d+)-(\d+)/) {
	$n = $1;
	$l1 = $2;
	$l2 = $3;
	$nonce = $4;

	if ($l1 != $l2) {
	    print stderr "non-square universe: $_; exiting\n";
	    exit 2;
	}
	system "./generate-random-scen.pl $n $l1 $l1 > $out_dir/$_";
    }
}
