#!/usr/bin/perl

if ($#ARGV < 1) {
    print "usage: <chain_length> <distance>\n";
    exit 2;
}

$num_chain = shift;
$chain_length = $num_chain;
$distance = shift;

$total_nodes = $num_chain * $chain_length;
$max_x = ($chain_length)*$distance;
$max_y = ($num_chain)*$distance;
printf "#
# nodes: $total_nodes, max time: 300.000000, max x: $max_x.00, max y: $max_y.00, chain: $chain_length
# nominal range: 250.00 link bw: 2000000.00
# pause: 0.00, max speed: 0.00

";

for ($i=0;$i<$num_chain;$i++) {
    for ($j = 1;$j<=$chain_length;$j++) {
	$node = $i * $chain_length + $j;
	$X = ($j-1)*$distance;
	$Y = ($i) * $distance;
	printf "\$node_($node) set X_ $X.000000000000\n";
	printf "\$node_($node) set Y_ $Y.000000000000\n";
	printf "\$node_($node) set Z_ 0.000000000000\n";
    }
}

