#!/usr/bin/perl

$interval = 1; # secs

$buckets = ();

$max_t = 0;

while (<>) {
    if (/\$ns_ at (\d+\.\d+)/) {
	$i = int($1 / $interval);
	$buckets[$i]++;
	if ($i > $max_t) {
	    $max_t = $i;
	}
    }
}

print "# bucket  packets-that-interval\n";

for ($i = 0; $i <= $max_t; $i++) {
    $t = $i * $interval;
    if ($buckets[$i] == 0) {
	print "$t 0\n";
    }
    else {
	print "$t $buckets[$i]\n";
    }
}
